## ENameSelectorDialog

ENameSelectorDialog

## Synopsis

                        ENameSelectorDialog;
    ENameSelectorDialog* e_name_selector_dialog_new         (void);
    ENameSelectorModel* e_name_selector_dialog_peek_model   (ENameSelectorDialog *name_selector_dialog);
    void                e_name_selector_dialog_set_model    (ENameSelectorDialog *name_selector_dialog,
                                                             ENameSelectorModel *model);
    void                e_name_selector_dialog_set_destination_index
                                                            (ENameSelectorDialog *name_selector_dialog,
                                                             guint index);

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkObject
                   +----GtkWidget
                         +----GtkContainer
                               +----GtkBin
                                     +----GtkWindow
                                           +----GtkDialog
                                                 +----ENameSelectorDialog

## Implemented Interfaces

ENameSelectorDialog implements AtkImplementorIface and GtkBuildable.

## Description

## Details

### ENameSelectorDialog

    typedef struct _ENameSelectorDialog ENameSelectorDialog;

### e_name_selector_dialog_new ()

    ENameSelectorDialog* e_name_selector_dialog_new         (void);

Returns : |

### e_name_selector_dialog_peek_model ()

    ENameSelectorModel* e_name_selector_dialog_peek_model   (ENameSelectorDialog *name_selector_dialog);

`name_selector_dialog` : |
Returns : |

### e_name_selector_dialog_set_model ()

    void                e_name_selector_dialog_set_model    (ENameSelectorDialog *name_selector_dialog,
                                                             ENameSelectorModel *model);

`name_selector_dialog` : |
`model` : |

### e_name_selector_dialog_set_destination_index ()

    void                e_name_selector_dialog_set_destination_index
                                                            (ENameSelectorDialog *name_selector_dialog,
                                                             guint index);

`name_selector_dialog` : |
`index` : |